¿Se puede hacer que pysvn 1.6.3 funcione con Subversion 1.6 en Linux?

No veo ninguna reference en su website para esto. Me sale pysvn para configurar y comstackr, pero luego falla toda la testing. ¿Alguien ha tenido suerte al hacer que esto funcione en Linux?

No, no puede.

Su mejor opción es usar Subversion 1.5.5. Vea el sitio para más detalles.